Summary: Asianux specific rpm configuration files.
Name: asianux-rpm-config
Version: 6.0
Release: 8%{?dist}
License: GPL
Group: Development/System
Source: asianux-rpm-config.tgz
Source1: COPYING
Patch0: asianux-rpm-config-kmodtool.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
# rpmrc passes -mtune which first appeared in gcc 3.4
%ifarch i386 i686 sparc
Conflicts: gcc < 3.4
%endif

%description
Asianux specific rpm configuration files.

%prep
%setup -q -n %{name}
%patch0 -p1

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/asianux
cp -a . ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/asianux

# fix perms of config.{guess,sub}
chmod a+x ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/asianux/config.{guess,sub}
# add COPYING
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_prefix}/lib/rpm/asianux
%attr(0755,root,root) %{_prefix}/lib/rpm/asianux/*
%attr(0644,root,root) %{_prefix}/lib/rpm/asianux/Makefile
%attr(0644,root,root) %{_prefix}/lib/rpm/asianux/macros
%attr(0644,root,root) %{_prefix}/lib/rpm/asianux/rpmrc
%doc $RPM_BUILD_ROOT/COPYING

%changelog
* Mon Dec 28 2009 Hua Jie <jie.hua@asianux.com> 6.0-8%{?dist}
- Ensure permissions are correct on repacked JAR files(AXBug #7629)
- use ".AXS3" instead "AXS3" for %dist

* Tue Jun  9 2009 Mika Kamei <mkamei@miraclelinux.com> 6.0-7%{?dist}
- add PreReq: /bin/rpm, /usr/bin/getopt into kmodtool (Patch0, AXBug #6412)

* Tue Mar 10 2009 Hua Jie <jie.hua@asianux.com> 6.0-6%{?dist}
- update for Asianux Server 3 SP2(AXBug #5869)
- define %dist for AXS3 in macros

* Wed Nov 19 2008 Tetsuya Morimoto <tmorimoto@miraclelinux.com> 6.0-5%{?dist}
- add %attr to specify file's attribute
- add execute permission to dist.sh/find-lang.sh

* Thu Nov 13 2008 Tetsuya Morimoto <tmorimoto@miraclelinux.com> 6.0-4%{?dist}
- add COPYING file(Source1)

* Fri Oct 17 2008 Hua Jie <jiehua@redflag-linux.com> 6.0-3%{?dist}
- update for Asianux Server 3 SP1

* Mon Sep 10 2007 Hua Jie <jiehua@redflag-linux.com> 6.0-2AX
- define the value of variable asianux in macros

* Mon Jan 22 2007 Hua Jie <jiehua@redflag-linux.com> 6.0-1AX
- update for Asianux 3.0

* Wed Mar 02 2005 Hua Jie <jiehua@redflag-linux.com>
- create.
